"use strict";

function _interopDefault(ex) {
  return ex && "object" == typeof ex && "default" in ex ? ex.default : ex;
}

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var _extends = _interopDefault(require("@babel/runtime/helpers/extends")), _defineProperty = _interopDefault(require("@babel/runtime/helpers/defineProperty")), _objectWithoutProperties = _interopDefault(require("@babel/runtime/helpers/objectWithoutProperties")), core = require("@westpac/core"), PropTypes = _interopDefault(require("prop-types"));

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter((function(sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    }))), keys.push.apply(keys, symbols);
  }
  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2 ? ownKeys(Object(source), !0).forEach((function(key) {
      _defineProperty(target, key, source[key]);
    })) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach((function(key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    }));
  }
  return target;
}

var Badge = function(_ref) {
  _ref.state;
  var rest = _objectWithoutProperties(_ref, [ "state" ]);
  return core.jsx("span", rest);
}, badgeStyles = function(_, _ref2) {
  var look = _ref2.look, _useBrand = core.useBrand(), COLORS = _useBrand.COLORS, TYPE = _useBrand.TYPE, styleMap = {
    primary: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    },
    hero: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    },
    neutral: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    },
    faint: {
      color: COLORS.muted,
      backgroundColor: "#fff",
      borderColor: COLORS.border
    },
    success: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    },
    info: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    },
    warning: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    },
    danger: {
      color: "#fff",
      backgroundColor: COLORS[look],
      borderColor: COLORS[look]
    }
  };
  return _objectSpread(_objectSpread(_objectSpread({
    label: core.getLabel("badge", {
      look: look
    }),
    border: "1px solid transparent",
    borderRadius: "0.75rem",
    display: "inline-block",
    fontSize: "0.875rem",
    lineHeight: 1,
    minWidth: "0.625rem",
    padding: "0.25rem 0.4375rem",
    textAlign: "center",
    verticalAlign: "baseline",
    whiteSpace: "nowrap"
  }, TYPE.bodyFont[700]), styleMap[look]), {}, {
    "@media print": {
      color: "#000",
      backgroundColor: "#fff",
      border: "1px solid #000"
    }
  });
}, badgeAttributes = function() {
  return null;
}, defaultBadge = {
  component: Badge,
  styles: badgeStyles,
  attributes: badgeAttributes
}, pkg = {
  name: "@westpac/badge",
  version: "1.0.1",
  description: "Badge component for the Westpac GEL",
  repository: "https://github.com/WestpacGEL/GEL/tree/master/components/badge",
  blender: {
    recipe: "blender/recipe.js"
  },
  author: "Westpac GEL Team <gel@westpac.com.au>",
  contributors: [ {
    name: "Dominik Wilkowski",
    email: "Hi@Dominik-Wilkowski.com",
    url: "https://dominik-wilkowski.com"
  }, {
    name: "Jonathan Stening",
    email: "info@jonathanstening.com",
    url: "http://jonathanstening.com"
  } ],
  license: "GPL-3.0+",
  scripts: {
    start: "PACKAGE_NAME=badge webpack-dev-server --config ../../helpers/example/start.webpack.config.js",
    test: "exit 0 # start-server-and-test start http://localhost:8080 test:all",
    "test:dev": "start-server-and-test start http://localhost:8080 test:test-dev",
    "test:all": "yarn test:integration",
    "test:integration": "cypress run",
    "test:test-dev": "cypress open"
  },
  main: "dist/badge.cjs.js",
  module: "dist/badge.esm.js",
  dependencies: {
    "@babel/runtime": "^7.9.6",
    "@westpac/core": "^1.0.1",
    "prop-types": "^15.7.2"
  },
  peerDependencies: {
    react: "^16.13.1"
  },
  devDependencies: {
    "@westpac/body": "*",
    "@westpac/button": "*",
    cypress: "^4.5.0",
    react: "^16.13.1",
    "start-server-and-test": "^1.11.0"
  }
};

function ownKeys$1(object, enumerableOnly) {
  var keys = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter((function(sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    }))), keys.push.apply(keys, symbols);
  }
  return keys;
}

function _objectSpread$1(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2 ? ownKeys$1(Object(source), !0).forEach((function(key) {
      _defineProperty(target, key, source[key]);
    })) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1(Object(source)).forEach((function(key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    }));
  }
  return target;
}

var Badge$1 = function(_ref) {
  var look = _ref.look, value = _ref.value, componentOverrides = _ref.overrides, rest = _objectWithoutProperties(_ref, [ "look", "value", "overrides" ]), _useBrand = core.useBrand(), tokenOverrides = _useBrand.OVERRIDES[pkg.name], brandOverrides = _useBrand[pkg.name], defaultOverrides = {
    Badge: defaultBadge
  }, state = _objectSpread$1({
    look: look,
    value: value,
    overrides: componentOverrides
  }, rest), _overrideReconciler$B = core.overrideReconciler(defaultOverrides, tokenOverrides, brandOverrides, componentOverrides).Badge, Badge = _overrideReconciler$B.component, badgeStyles = _overrideReconciler$B.styles, badgeAttributes = _overrideReconciler$B.attributes;
  return core.jsx(Badge, _extends({}, rest, {
    state: state
  }, badgeAttributes(state), {
    css: badgeStyles(state)
  }), value);
};

Badge$1.propTypes = {
  look: PropTypes.oneOf([ "primary", "hero", "neutral", "faint", "success", "info", "warning", "danger" ]).isRequired,
  value: PropTypes.string.isRequired,
  overrides: PropTypes.shape({
    Badge: PropTypes.shape({
      styles: PropTypes.func,
      component: PropTypes.elementType,
      attributes: PropTypes.func
    })
  })
}, Badge$1.defaultProps = {
  look: "neutral"
}, exports.Badge = Badge$1;
